Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Class WSRPUtils

    java.lang.Object
      org.jboss.portal.wsrp.WSRPUtils

    public class WSRPUtils

extends java.lang.Object

Since:
  2.4
Version:
  $Revision: 11349 $
Author:
  Chris Laprun

Method Summary
`static java.lang.String` | `convertJSR168PortletModeNameToWSRPName(java.lang.String jsr168PortletModeName)`
`static java.lang.String` | `convertJSR168WindowStateNameToWSRPName(java.lang.String jsr168WindowStateName)`
`static java.lang.String[]` | `convertLocalesToRFC3066LanguageTagArray(java.util.List localesOrderedByPreference)`
`static ModelDescription` | `convertRegistrationPropertiesToModelDescription(java.util.Map registrationInfo)`
`static java.lang.String` | `convertRequestAuthTypeToWSRPAuthType(java.lang.String authType)`
`static LocalizedString` | `convertToLocalizedString(LocalizedString wsrpLocalizedString)`
`static PortletContext` | `convertToPortalPortletContext(PortletContext portletContext)`
`static PropertyDescription` | `convertToPropertyDescription(RegistrationPropertyDescription propertyDescription)`
`static RegistrationPropertyDescription` | `convertToRegistrationPropertyDescription(PropertyDescription propertyDescription)`
`static LocalizedString` | `convertToWSRPLocalizedString(LocalizedString regLocalizedString)`
`static LocalizedString` | `convertToWSRPLocalizedString(LocalizedString localizedString, java.lang.String[] desiredLocales)` Creates a WSRP LocalizedString based on the best (according to the specified desired locales) value of the given LocalizedString.
`static PortletContext` | `convertToWSRPPortletContext(PortletContext portletContext)`
`static AccessMode` | `getAccessModeFromStateChange(StateChange stateChange)`
`static Mode` | `getJSR168PortletModeFromWSRPName(java.lang.String wsrpPortletModeName)`
`static WindowState` | `getJSR168WindowStateFromWSRPName(java.lang.String wsrpWindowStateName)`
`static java.util.Locale` | `getLocale(java.lang.String lang)`
`static StateChange` | `getStateChangeFromAccessMode(AccessMode accessMode)`
`static java.lang.String` | `getWSRPNameFromJSR168PortletMode(Mode portletMode)`
`static java.lang.String` | `getWSRPNameFromJSR168WindowState(WindowState windowState)`
`static java.lang.String` | `getWSRPURLTypeFrom(PortletURL url)`
`static boolean` | `isDefaultWSRPMode(java.lang.String wsrpPortletModeName)`
`static boolean` | `isDefaultWSRPWindowState(java.lang.String wsrpWindowStateName)`
`static void` | `setStrict(boolean strict)`
`static java.lang.String` | `toString(InteractionParams interactionParams)` Debugging method
`static java.lang.String` | `toString(java.util.Locale locale)`
`static java.lang.String` | `toString(MarkupParams params)` Debugging method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setStrict

    public static void setStrict(boolean strict)

### getJSR168WindowStateFromWSRPName

    public static WindowState getJSR168WindowStateFromWSRPName(java.lang.String wsrpWindowStateName)

### isDefaultWSRPWindowState

    public static boolean isDefaultWSRPWindowState(java.lang.String wsrpWindowStateName)

### convertJSR168WindowStateNameToWSRPName

    public static java.lang.String convertJSR168WindowStateNameToWSRPName(java.lang.String jsr168WindowStateName)

### getWSRPNameFromJSR168WindowState

    public static java.lang.String getWSRPNameFromJSR168WindowState(WindowState windowState)

### getJSR168PortletModeFromWSRPName

    public static Mode getJSR168PortletModeFromWSRPName(java.lang.String wsrpPortletModeName)

### isDefaultWSRPMode

    public static boolean isDefaultWSRPMode(java.lang.String wsrpPortletModeName)

### convertJSR168PortletModeNameToWSRPName

    public static java.lang.String convertJSR168PortletModeNameToWSRPName(java.lang.String jsr168PortletModeName)

### getWSRPNameFromJSR168PortletMode

    public static java.lang.String getWSRPNameFromJSR168PortletMode(Mode portletMode)

### getAccessModeFromStateChange

    public static AccessMode getAccessModeFromStateChange(StateChange stateChange)

### getStateChangeFromAccessMode

    public static StateChange getStateChangeFromAccessMode(AccessMode accessMode)

### getWSRPURLTypeFrom

    public static java.lang.String getWSRPURLTypeFrom(PortletURL url)

### convertRequestAuthTypeToWSRPAuthType

    public static java.lang.String convertRequestAuthTypeToWSRPAuthType(java.lang.String authType)

### convertLocalesToRFC3066LanguageTagArray

    public static java.lang.String[] convertLocalesToRFC3066LanguageTagArray(java.util.List localesOrderedByPreference)

### convertToPortalPortletContext

    public static PortletContext convertToPortalPortletContext(PortletContext portletContext)

### convertToWSRPPortletContext

    public static PortletContext convertToWSRPPortletContext(PortletContext portletContext)

  Parameters:
    `portletContext` -
  Returns:
    Since 2.6

### convertRegistrationPropertiesToModelDescription

    public static ModelDescription convertRegistrationPropertiesToModelDescription(java.util.Map registrationInfo)

  Parameters:
    `registrationInfo` -
  Returns:
  Since:
    2.6

### convertToPropertyDescription

    public static PropertyDescription convertToPropertyDescription(RegistrationPropertyDescription propertyDescription)

  Parameters:
    `propertyDescription` -
  Returns:
  Since:
    2.6

### convertToRegistrationPropertyDescription

    public static RegistrationPropertyDescription convertToRegistrationPropertyDescription(PropertyDescription propertyDescription)

  Parameters:
    `propertyDescription` -
  Returns:
  Since:
    2.6

### convertToLocalizedString

    public static LocalizedString convertToLocalizedString(LocalizedString wsrpLocalizedString)

  Parameters:
    `wsrpLocalizedString` -
  Returns:
  Since:
    2.6

### convertToWSRPLocalizedString

    public static LocalizedString convertToWSRPLocalizedString(LocalizedString regLocalizedString)

  Parameters:
    `regLocalizedString` -
  Returns:
  Since:
    2.6

### convertToWSRPLocalizedString

    public static LocalizedString convertToWSRPLocalizedString(LocalizedString localizedString,
                                                               java.lang.String[] desiredLocales)

  Creates a WSRP LocalizedString based on the best (according to the specified desired locales) value of the given LocalizedString.

  Parameters:
    `localizedString` - the LocalizedString from which a localized value is to be extracted
    `desiredLocales` - the supported locales orderd by user preference, if no desiredLocales are given, the default local will be used.
  Returns:
    the best (according to the specified desired locales) value for the given LocalizedString or `null` if no such value can be found.
  Since:
    2.6

### getLocale

    public static java.util.Locale getLocale(java.lang.String lang)
                                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public static java.lang.String toString(java.util.Locale locale)
                                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public static java.lang.String toString(MarkupParams params)

  Debugging method.

  Parameters:
    `params` -
  Returns:
  Since:
    2.6

### toString

    public static java.lang.String toString(InteractionParams interactionParams)

  Debugging method

  Parameters:
    `interactionParams` -
  Returns:
  Since:
    2.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD